### Method

# Gtk Labelget_layout

#### Declaration [src]

    PangoLayout*
    gtk_label_get_layout (
      GtkLabel* self
    )

#### Description [src]

Gets the `PangoLayout` used to display the label.

The layout is useful to e.g. convert text positions to pixel positions, in combination with `gtk_label_get_layout_offsets()`. The returned layout is owned by the `label` so need not be freed by the caller. The `label` is free to recreate its layout at any time, so it should be considered read-only.

#### Return value

Type: `PangoLayout`

The `PangoLayout` for this label.

The data is owned by the instance.